package com.cooleshow.usercenter.presenter.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.usercenter.bean.UserLoginInfo;

/**
 * Author by pq, Date on 2022/4/19.
 */
public interface VerifyLoginContract {
    interface VerifyLoginView extends BaseView {
        void sendVerifyCodeSuccess();
        void sendVerifyCodeFail();
        void loginByCodeSuccess(UserLoginInfo data);
    }

    interface Presenter {
        void sendVerifyCode(String mobile);
    }

}
